<%@ taglib prefix="spring" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%--
  Created by IntelliJ IDEA.
  User: Кинетик
  Date: 02.01.2017
  Time: 23:29
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Регистрация Исполнителя</title>
    <style type="text/css">
        <%@include file="../cssforpr.css" %>
        <%@include file="../bootstrap.min.css" %>
    </style>
</head>
<%--
    Все сообщения ${<название сообщения} буду ошибками в случае неправильного заполнения/ не заполнения поля, около которого появляется
--%>
<body>

<div class="inner">
    <h3 class="masthead-brand">Mephorce</h3>
    <nav class="nav nav-masthead">
        <a class="nav-link active" href="/">Войти</a>
        <a class="nav-link" href="/aboutUs">О проекте</a>
        <a class="nav-link" href="/registrate">Создать аккаунт</a>
        <a class="nav-link" href="/contacts">Контакты</a>
    </nav>
</div>

<div class="logo"></div>
<div class="login-block">

    <spring:form method="post"  modelAttribute="student" action="regStudentAction">
        <h1>Регистрация Исполнителя</h1>
            <spring:input path="stFamily" type="text" placeholder="Фамилия"/> ${famMessage}  <br/>
            <spring:input path="stFirstName" type="text" placeholder="Имя"/>${nameMessage}   <br/>
            <spring:input path="stSecName" type="text" placeholder="Отчество"/>${secNameMessage}   <br/>
            <spring:input path="stPkNumber" type="password" placeholder="Пароль"/>${passMessage}   <br/>
        <form:select id="groupId" path="stGroup">
        <c:forEach items="${groupList}" var="group">
            <form:option value="${group.groupId}" >${group.groupName}</form:option>
        </c:forEach><br/>
        </form:select>
            ${errMessage}<br/>
        <spring:button>Зарегистрироваться</spring:button>
        </spring:form>
</div>

<footer class="main-footer">
    <span>&copy;2017 Mephorce</span>
</footer>

</body>
</html>
